org.eclipse.oomph.targlets.impl

## Class TargletPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.oomph.targlets.impl.TargletPackageImpl

- All Implemented Interfaces:
    Notifier, EModelElement, ENamedElement, EObject, EPackage, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder, TargletPackage

      public class TargletPackageImpl
      extends EPackageImpl
      implements TargletPackage

  An implementation of the model Package.
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `EPackageImpl.EBasicWhiteList`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.oomph.targlets.TargletPackage

      `TargletPackage.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `EPackage.Descriptor, EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `name, NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.targlets.TargletPackage

      `BUCKMINSTER_GENERATOR, BUCKMINSTER_GENERATOR___GENERATE_IUS__IPROJECT_STRING_MAP, BUCKMINSTER_GENERATOR___GET_ANNOTATION__STRING, BUCKMINSTER_GENERATOR___MODIFY_IU__IINSTALLABLEUNIT_IPROJECT_STRING_MAP, BUCKMINSTER_GENERATOR__ANNOTATIONS, BUCKMINSTER_GENERATOR__SAVE_AS_COMPONENT, BUCKMINSTER_GENERATOR_FEATURE_COUNT, BUCKMINSTER_GENERATOR_OPERATION_COUNT, COMPONENT_DEFINITION, COMPONENT_DEFINITION___GET_ANNOTATION__STRING, COMPONENT_DEFINITION__ANNOTATIONS, COMPONENT_DEFINITION__ID, COMPONENT_DEFINITION__REQUIREMENTS, COMPONENT_DEFINITION__VERSION, COMPONENT_DEFINITION_FEATURE_COUNT, COMPONENT_DEFINITION_OPERATION_COUNT, COMPONENT_EXTENSION, COMPONENT_EXTENSION___GET_ANNOTATION__STRING, COMPONENT_EXTENSION__ANNOTATIONS, COMPONENT_EXTENSION__REQUIREMENTS, COMPONENT_EXTENSION_FEATURE_COUNT, COMPONENT_EXTENSION_OPERATION_COUNT, COMPONENT_GENERATOR, COMPONENT_GENERATOR___GENERATE_IUS__IPROJECT_STRING_MAP, COMPONENT_GENERATOR___GET_ANNOTATION__STRING, COMPONENT_GENERATOR___MODIFY_IU__IINSTALLABLEUNIT_IPROJECT_STRING_MAP, COMPONENT_GENERATOR__ANNOTATIONS, COMPONENT_GENERATOR_FEATURE_COUNT, COMPONENT_GENERATOR_OPERATION_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, FEATURE_GENERATOR, FEATURE_GENERATOR___GENERATE_IUS__IPROJECT_STRING_MAP, FEATURE_GENERATOR___GET_ANNOTATION__STRING, FEATURE_GENERATOR___MODIFY_IU__IINSTALLABLEUNIT_IPROJECT_STRING_MAP, FEATURE_GENERATOR__ANNOTATIONS, FEATURE_GENERATOR_FEATURE_COUNT, FEATURE_GENERATOR_OPERATION_COUNT, INSTALLABLE_UNIT, IU_GENERATOR, IU_GENERATOR___GENERATE_IUS__IPROJECT_STRING_MAP, IU_GENERATOR___GET_ANNOTATION__STRING, IU_GENERATOR___MODIFY_IU__IINSTALLABLEUNIT_IPROJECT_STRING_MAP, IU_GENERATOR__ANNOTATIONS, IU_GENERATOR_FEATURE_COUNT, IU_GENERATOR_OPERATION_COUNT, PLUGIN_GENERATOR, PLUGIN_GENERATOR___GENERATE_IUS__IPROJECT_STRING_MAP, PLUGIN_GENERATOR___GET_ANNOTATION__STRING, PLUGIN_GENERATOR___MODIFY_IU__IINSTALLABLEUNIT_IPROJECT_STRING_MAP, PLUGIN_GENERATOR__ANNOTATIONS, PLUGIN_GENERATOR_FEATURE_COUNT, PLUGIN_GENERATOR_OPERATION_COUNT, STRING_TO_VERSION_MAP, TARGLET, TARGLET___GET_ANNOTATION__STRING, TARGLET__ACTIVE_REPOSITORIES, TARGLET__ACTIVE_REPOSITORY_LIST, TARGLET__ACTIVE_REPOSITORY_LIST_NAME, TARGLET__ANNOTATIONS, TARGLET__INCLUDE_ALL_PLATFORMS, TARGLET__INCLUDE_SOURCES, TARGLET__INSTALLABLE_UNIT_GENERATORS, TARGLET__NAME, TARGLET__REPOSITORY_LISTS, TARGLET__REQUIREMENTS, TARGLET__SOURCE_LOCATORS, TARGLET_CONTAINER, TARGLET_CONTAINER___GET_ANNOTATION__STRING, TARGLET_CONTAINER__ANNOTATIONS, TARGLET_CONTAINER__ID, TARGLET_CONTAINER__TARGLETS, TARGLET_CONTAINER_FEATURE_COUNT, TARGLET_CONTAINER_OPERATION_COUNT, TARGLET_FEATURE_COUNT, TARGLET_OPERATION_COUNT`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createEcoreAnnotations()` Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore.
    `protected void` | `createExtendedMetaDataAnnotations()` Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.
    `protected void` | `createLabelProviderAnnotations()` Initializes the annotations for http://www.eclipse.org/oomph/base/LabelProvider.
    `protected void` | `createNoExpandAnnotations()` Initializes the annotations for http://www.eclipse.org/oomph/setup/NoExpand.
    `void` | `createPackageContents()` Creates the meta-model objects for the package.
    `EAttribute` | `getBuckminsterGenerator_SaveAsComponent()`
    `EClass` | `getBuckminsterGenerator()`
    `EAttribute` | `getComponentDefinition_ID()`
    `EAttribute` | `getComponentDefinition_Version()`
    `EClass` | `getComponentDefinition()`
    `EReference` | `getComponentExtension_Requirements()`
    `EClass` | `getComponentExtension()`
    `EClass` | `getComponentGenerator()`
    `EClass` | `getFeatureGenerator()`
    `EDataType` | `getInstallableUnit()`
    `EOperation` | `getIUGenerator__GenerateIUs__IProject_String_Map()`
    `EOperation` | `getIUGenerator__ModifyIU__IInstallableUnit_IProject_String_Map()`
    `EClass` | `getIUGenerator()`
    `EClass` | `getPluginGenerator()`
    `EDataType` | `getStringToVersionMap()`
    `EReference` | `getTarglet_ActiveRepositories()`
    `EReference` | `getTarglet_ActiveRepositoryList()`
    `EAttribute` | `getTarglet_ActiveRepositoryListName()`
    `EAttribute` | `getTarglet_IncludeAllPlatforms()`
    `EAttribute` | `getTarglet_IncludeSources()`
    `EReference` | `getTarglet_InstallableUnitGenerators()`
    `EAttribute` | `getTarglet_Name()`
    `EReference` | `getTarglet_RepositoryLists()`
    `EReference` | `getTarglet_Requirements()`
    `EReference` | `getTarglet_SourceLocators()`
    `EClass` | `getTarglet()`
    `EAttribute` | `getTargletContainer_ID()`
    `EReference` | `getTargletContainer_Targlets()`
    `EClass` | `getTargletContainer()`
    `TargletFactory` | `getTargletFactory()`
    `static TargletPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen, setName`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### init

          public static TargletPackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `TargletPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `TargletPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
      Generated

    - #### getTargletContainer

          public EClass getTargletContainer()

      Specified by:
        `getTargletContainer` in interface `TargletPackage`
      Returns:
        the meta object for class 'Container'.
      See Also:
        `TargletContainer`
      Generated

    - #### getTargletContainer_ID

          public EAttribute getTargletContainer_ID()

      Specified by:
        `getTargletContainer_ID` in interface `TargletPackage`
      Returns:
        the meta object for the attribute 'ID'.
      See Also:
        `TargletContainer.getID()`, `TargletPackage.getTargletContainer()`
      Generated

    - #### getTargletContainer_Targlets

          public EReference getTargletContainer_Targlets()

      Specified by:
        `getTargletContainer_Targlets` in interface `TargletPackage`
      Returns:
        the meta object for the containment reference list 'Targlets'.
      See Also:
        `TargletContainer.getTarglets()`, `TargletPackage.getTargletContainer()`
      Generated

    - #### getTarglet

          public EClass getTarglet()

      Specified by:
        `getTarglet` in interface `TargletPackage`
      Returns:
        the meta object for class 'Targlet'.
      See Also:
        `Targlet`
      Generated

    - #### getTarglet_Name

          public EAttribute getTarglet_Name()

      Specified by:
        `getTarglet_Name` in interface `TargletPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Targlet.getName()`, `TargletPackage.getTarglet()`
      Generated

    - #### getTarglet_Requirements

          public EReference getTarglet_Requirements()

      Specified by:
        `getTarglet_Requirements` in interface `TargletPackage`
      Returns:
        the meta object for the containment reference list 'Requirements'.
      See Also:
        `Targlet.getRequirements()`, `TargletPackage.getTarglet()`
      Generated

    - #### getTarglet_SourceLocators

          public EReference getTarglet_SourceLocators()

      Specified by:
        `getTarglet_SourceLocators` in interface `TargletPackage`
      Returns:
        the meta object for the containment reference list 'Source Locators'.
      See Also:
        `Targlet.getSourceLocators()`, `TargletPackage.getTarglet()`
      Generated

    - #### getTarglet_InstallableUnitGenerators

          public EReference getTarglet_InstallableUnitGenerators()

      Specified by:
        `getTarglet_InstallableUnitGenerators` in interface `TargletPackage`
      Returns:
        the meta object for the containment reference list 'Installable Unit Generators'.
      See Also:
        `Targlet.getInstallableUnitGenerators()`, `TargletPackage.getTarglet()`
      Generated

    - #### getTarglet_RepositoryLists

          public EReference getTarglet_RepositoryLists()

      Specified by:
        `getTarglet_RepositoryLists` in interface `TargletPackage`
      Returns:
        the meta object for the containment reference list 'Repository Lists'.
      See Also:
        `Targlet.getRepositoryLists()`, `TargletPackage.getTarglet()`
      Generated

    - #### getTarglet_ActiveRepositoryListName

          public EAttribute getTarglet_ActiveRepositoryListName()

      Specified by:
        `getTarglet_ActiveRepositoryListName` in interface `TargletPackage`
      Returns:
        the meta object for the attribute 'Active Repository List Name'.
      See Also:
        `Targlet.getActiveRepositoryListName()`, `TargletPackage.getTarglet()`
      Generated

    - #### getTarglet_ActiveRepositoryList

          public EReference getTarglet_ActiveRepositoryList()

      Specified by:
        `getTarglet_ActiveRepositoryList` in interface `TargletPackage`
      Returns:
        the meta object for the reference 'Active Repository List'.
      See Also:
        `Targlet.getActiveRepositoryList()`, `TargletPackage.getTarglet()`
      Generated

    - #### getTarglet_ActiveRepositories

          public EReference getTarglet_ActiveRepositories()

      Specified by:
        `getTarglet_ActiveRepositories` in interface `TargletPackage`
      Returns:
        the meta object for the reference list 'Active Repositories'.
      See Also:
        `Targlet.getActiveRepositories()`, `TargletPackage.getTarglet()`
      Generated

    - #### getTarglet_IncludeSources

          public EAttribute getTarglet_IncludeSources()

      Specified by:
        `getTarglet_IncludeSources` in interface `TargletPackage`
      Returns:
        the meta object for the attribute 'Include Sources'.
      See Also:
        `Targlet.isIncludeSources()`, `TargletPackage.getTarglet()`
      Generated

    - #### getTarglet_IncludeAllPlatforms

          public EAttribute getTarglet_IncludeAllPlatforms()

      Specified by:
        `getTarglet_IncludeAllPlatforms` in interface `TargletPackage`
      Returns:
        the meta object for the attribute 'Include All Platforms'.
      See Also:
        `Targlet.isIncludeAllPlatforms()`, `TargletPackage.getTarglet()`
      Generated

    - #### getComponentExtension

          public EClass getComponentExtension()

      Specified by:
        `getComponentExtension` in interface `TargletPackage`
      Returns:
        the meta object for class 'Component Extension'.
      See Also:
        `ComponentExtension`
      Generated

    - #### getComponentExtension_Requirements

          public EReference getComponentExtension_Requirements()

      Specified by:
        `getComponentExtension_Requirements` in interface `TargletPackage`
      Returns:
        the meta object for the containment reference list 'Requirements'.
      See Also:
        `ComponentExtension.getRequirements()`, `TargletPackage.getComponentExtension()`
      Generated

    - #### getComponentDefinition

          public EClass getComponentDefinition()

      Specified by:
        `getComponentDefinition` in interface `TargletPackage`
      Returns:
        the meta object for class 'Component Definition'.
      See Also:
        `ComponentDefinition`
      Generated

    - #### getComponentDefinition_ID

          public EAttribute getComponentDefinition_ID()

      Specified by:
        `getComponentDefinition_ID` in interface `TargletPackage`
      Returns:
        the meta object for the attribute 'ID'.
      See Also:
        `ComponentDefinition.getID()`, `TargletPackage.getComponentDefinition()`
      Generated

    - #### getComponentDefinition_Version

          public EAttribute getComponentDefinition_Version()

      Specified by:
        `getComponentDefinition_Version` in interface `TargletPackage`
      Returns:
        the meta object for the attribute 'Version'.
      See Also:
        `ComponentDefinition.getVersion()`, `TargletPackage.getComponentDefinition()`
      Generated

    - #### getIUGenerator

          public EClass getIUGenerator()

      Specified by:
        `getIUGenerator` in interface `TargletPackage`
      Returns:
        the meta object for class 'IU Generator'.
      See Also:
        `IUGenerator`
      Generated

    - #### getIUGenerator__GenerateIUs__IProject_String_Map

          public EOperation getIUGenerator__GenerateIUs__IProject_String_Map()

      Specified by:
        `getIUGenerator__GenerateIUs__IProject_String_Map` in interface `TargletPackage`
      Returns:
        the meta object for the 'Generate IUs' operation.
      See Also:
        `IUGenerator.generateIUs(org.eclipse.core.resources.IProject, java.lang.String, java.util.Map)`
      Generated

    - #### getIUGenerator__ModifyIU__IInstallableUnit_IProject_String_Map

          public EOperation getIUGenerator__ModifyIU__IInstallableUnit_IProject_String_Map()

      Specified by:
        `getIUGenerator__ModifyIU__IInstallableUnit_IProject_String_Map` in interface `TargletPackage`
      Returns:
        the meta object for the 'Modify IU' operation.
      See Also:
        `IUGenerator.modifyIU(org.eclipse.equinox.p2.metadata.IInstallableUnit, org.eclipse.core.resources.IProject, java.lang.String, java.util.Map)`
      Generated

    - #### getFeatureGenerator

          public EClass getFeatureGenerator()

      Specified by:
        `getFeatureGenerator` in interface `TargletPackage`
      Returns:
        the meta object for class 'Feature Generator'.
      See Also:
        `FeatureGenerator`
      Generated

    - #### getPluginGenerator

          public EClass getPluginGenerator()

      Specified by:
        `getPluginGenerator` in interface `TargletPackage`
      Returns:
        the meta object for class 'Plugin Generator'.
      See Also:
        `PluginGenerator`
      Generated

    - #### getComponentGenerator

          public EClass getComponentGenerator()

      Specified by:
        `getComponentGenerator` in interface `TargletPackage`
      Returns:
        the meta object for class 'Component Generator'.
      See Also:
        `ComponentGenerator`
      Generated

    - #### getBuckminsterGenerator

          public EClass getBuckminsterGenerator()

      Specified by:
        `getBuckminsterGenerator` in interface `TargletPackage`
      Returns:
        the meta object for class 'Buckminster Generator'.
      See Also:
        `BuckminsterGenerator`
      Generated

    - #### getBuckminsterGenerator_SaveAsComponent

          public EAttribute getBuckminsterGenerator_SaveAsComponent()

      Specified by:
        `getBuckminsterGenerator_SaveAsComponent` in interface `TargletPackage`
      Returns:
        the meta object for the attribute 'Save As Component'.
      See Also:
        `BuckminsterGenerator.isSaveAsComponent()`, `TargletPackage.getBuckminsterGenerator()`
      Generated

    - #### getInstallableUnit

          public EDataType getInstallableUnit()

      Specified by:
        `getInstallableUnit` in interface `TargletPackage`
      Returns:
        the meta object for data type 'Installable Unit'.
      See Also:
        `IInstallableUnit`
      Generated

    - #### getStringToVersionMap

          public EDataType getStringToVersionMap()

      Specified by:
        `getStringToVersionMap` in interface `TargletPackage`
      Returns:
        the meta object for data type 'String To Version Map'.
      See Also:
        `Map`
      Generated

    - #### getTargletFactory

          public TargletFactory getTargletFactory()

      Specified by:
        `getTargletFactory` in interface `TargletPackage`
      Returns:
        the factory that creates the instances of the model.
      Generated

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### createEcoreAnnotations

          protected void createEcoreAnnotations()

      Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore.
      Generated

    - #### createLabelProviderAnnotations

          protected void createLabelProviderAnnotations()

      Initializes the annotations for http://www.eclipse.org/oomph/base/LabelProvider.
      Generated

    - #### createExtendedMetaDataAnnotations

          protected void createExtendedMetaDataAnnotations()

      Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.
      Generated

    - #### createNoExpandAnnotations

          protected void createNoExpandAnnotations()

      Initializes the annotations for http://www.eclipse.org/oomph/setup/NoExpand.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html